Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Public Types | Static Public Attributes | List of all members
cutlass::gemm::IgemmTileTraitsHelperB< MatrixLayout::kRowMajor, GemmConfig_ > Struct Template Reference

`#include <igemm_traits.h>`

Inheritance diagram for cutlass::gemm::IgemmTileTraitsHelperB< MatrixLayout::kRowMajor, GemmConfig_ >:

## Public Types
typedef GemmTileTraitsHelperB< MatrixLayout::kRowMajor, GemmConfig_ > | Base
| The base config. More...
typedef IgemmContiguousGlobalTileTraits< GemmOperand::kB, MatrixLayout::kRowMajor, int8_t const, Shape< 1, GemmConfig_::OutputTile::kD, GemmConfig_::OutputTile::kH >, Shape< 1, ShapeCount< typename GemmConfig_::Warps >::kCount, GemmConfig_::kWarpSize >, 4 > | GlobalTileTraits
| The traits class to build the iterator to load data from global memory for B^T. More...
typedef GemmSharedStoreTileAbTraits< int8_t, Shape< GemmConfig_::kStages, GemmConfig_::OutputTile::kD/4, GemmConfig_::OutputTile::kH *4 >, typename GlobalTileTraits::Threads, kScalarsPerStsB > | SharedStoreTileTraits
| The traits class to build the iterator to store data to shared memory for B^N. More...
Public Types inherited from cutlass::gemm::GemmTileTraitsHelperB< MatrixLayout::kRowMajor, GemmConfig_ >
typedef GemmConfig_::ScalarB | Scalar
| The input scalar. More...
typedef GemmConfig_::MultiplyAdd::ScalarB | MultiplyAddScalar
| The scalar stored in shared memory. More...
typedef GemmGlobalTileTraits< GemmOperand::kB, MatrixLayout::kRowMajor, Scalar const, Shape< 1, GemmConfig_::OutputTile::kD, GemmConfig_::OutputTile::kH >, Shape< 1, ShapeCount< typename GemmConfig_::Warps >::kCount, GemmConfig_::kWarpSize >, GemmConfig_::kScalarsPerLdgB > | GlobalTileTraits
| The traits class to build the iterator to load data from global memory for B^T. More...
typedef GemmSharedStoreTileAbTraits< MultiplyAddScalar, Shape< GemmConfig_::kStages, GemmConfig_::OutputTile::kD/GemmConfig_::InstructionShape::kD, GemmConfig_::OutputTile::kH *GemmConfig_::InstructionShape::kD >, typename GlobalTileTraits::Threads, GemmConfig_::kScalarsPerStsB > | SharedStoreTileTraits
| The traits class to build the iterator to store data to shared memory for B^T. More...
typedef GemmSharedLoadTileBTraits< MultiplyAddScalar const, typename GemmConfig_::OutputTile, typename GemmConfig_::Warps, typename GemmConfig_::MultiplyAdd::ThreadsPerWarp, typename GemmConfig_::InstructionShape, GemmConfig_::kStages, GemmConfig_::kScalarsPerLdsB, 0 > | SharedLoadTileTraits
| The traits class to build the iterator to load from shared memory for B^T. More...

## Static Public Attributes
static int const | kScalarsPerStsB = 16
| The number of scalars per LDG/STS/LDS for B. More...
Static Public Attributes inherited from cutlass::gemm::GemmTileTraitsHelperB< MatrixLayout::kRowMajor, GemmConfig_ >
static MatrixLayout::Kind const | kLayout = MatrixLayout::kRowMajor
| The layout. More...

## Member Typedef Documentation

## ◆ Base

template<typename GemmConfig_ >

typedef GemmTileTraitsHelperB<MatrixLayout::kRowMajor, GemmConfig_> cutlass::gemm::IgemmTileTraitsHelperB< MatrixLayout::kRowMajor, GemmConfig_ >::Base

## ◆ GlobalTileTraits

template<typename GemmConfig_ >

typedef IgemmContiguousGlobalTileTraits< GemmOperand::kB, MatrixLayout::kRowMajor, int8_t const, Shape<1, GemmConfig_::OutputTile::kD, GemmConfig_::OutputTile::kH>, Shape<1, ShapeCount<typename GemmConfig_::Warps>::kCount, GemmConfig_::kWarpSize>, 4> cutlass::gemm::IgemmTileTraitsHelperB< MatrixLayout::kRowMajor, GemmConfig_ >::GlobalTileTraits

## ◆ SharedStoreTileTraits

template<typename GemmConfig_ >

typedef GemmSharedStoreTileAbTraits< int8_t, Shape<GemmConfig_::kStages, GemmConfig_::OutputTile::kD / 4, GemmConfig_::OutputTile::kH * 4>, typename GlobalTileTraits::Threads, kScalarsPerStsB> cutlass::gemm::IgemmTileTraitsHelperB< MatrixLayout::kRowMajor, GemmConfig_ >::SharedStoreTileTraits

## Member Data Documentation

## ◆ kScalarsPerStsB

template<typename GemmConfig_ >

int const cutlass::gemm::IgemmTileTraitsHelperB< MatrixLayout::kRowMajor, GemmConfig_ >::kScalarsPerStsB = 16
| static

The documentation for this struct was generated from the following file:

- igemm_traits.h